
<template>
    <div class="content-main">
        <iframe width="100%" :height="wrapHeight" :src="iHost"></iframe>
    </div>
</template>
<script>
    export default {
        data(){
            return{
                iHost:''
            }
        },
        computed: {
            wrapHeight(){
                let windowHeight = document.documentElement.clientHeight
                let  wrapHeight = windowHeight - 265
                return wrapHeight
            }
        },
        methods:{

        },
        created(){
            let url = location.host;
      // console.log(url ,'url ');
       this.iHost = `http://${url}/BI/showreport.do?resid=EBI$12$MUOYZ62UV5OCDV9UN6BTUABAC4UN30OX$1$OXB5YY1IFVN9OFUXUUC4RP0TOTXUY6C6.rpttpl&id=${sessionStorage.getItem('userLoginName')}&pw=%7B${sessionStorage.getItem('userPassword')}%7D&calcnow=true&showparams=true`

//       this.iHost = `http://${url}/irpt/oemlogin.do?id=${sessionStorage.getItem('userLoginName')}&pw={${sessionStorage.getItem('userPassword')}}&target=task&task={4FA8E5AE-3B10-4547-A6AF-849D26124ACF}&bbhid=150000`
      console.log(this.iHost,'this.iHost');

        }
    }
</script>